import 'package:flutter_firebase_basic_tools/logic/custom_colors.dart';
import 'package:flutter/material.dart';

class Topbar extends StatefulWidget {
  const Topbar({
    @required this.backgroundColor,
    @required this.size,
    @required this.actions,
    @required this.hasBackButton,
    @required this.customLeading,
    @required this.logoImage,
  });

  final Color backgroundColor;
  final double size;
  final List<Widget> actions;
  final bool hasBackButton;
  final Widget customLeading;
  final String logoImage;

  @override
  _TopbarState createState() => _TopbarState();
}

class _TopbarState extends State<Topbar> {
  CustomColors customColors = CustomColors();

  Color currentColor = Colors.white;

  @override
  void initState() {
    super.initState();
  }

  @override
  Widget build(BuildContext context) {
    return AppBar(
      leading: !widget.hasBackButton ? Container() : widget.customLeading,
      title: Container(
        height: widget.size,
        width: widget.size,
        decoration: BoxDecoration(
          image: DecorationImage(
            fit: BoxFit.contain,
            image: AssetImage(
              widget.logoImage,
            ),
          ),
        ),
      ),
      backgroundColor: widget.backgroundColor,
      elevation: 0,
      actions: widget.actions != null ? widget.actions : <Widget>[],
    );
  }
}
